md-toolbar.md-hue-2
  div.md-toolbar-tools

    //- TODO: Sidebar only for mobile devices

    //- Left sidebar toggle button
    md-button.md-icon-button(
      aria-label="Navigation Tools"
      ng-hide="$mdMedia('gt-xs')"
      ng-click="$mdSidenav('tools').open()"
      )
      md-icon(md-svg-icon="menu")

    //- Logo - TODO:
    //- img.site_logo(src="assets/logo.svg" ui-sref="main")

    //- Site name
    h2(flex md-truncate ui-sref="main") Brushtales

    span(flex) auth - {{auth.logged_in}}

    md-button.md-raised.md-accent(
      ng-click="lockLogin.show()"
      ng-hide="auth.logged_in")
      md-icon(md-svg-icon="login")
      span &nbsp;Login/Join

    md-button.md-raised.md-accent(
      ng-click="logout()"
      ng-show="auth.logged_in")
      md-icon(md-svg-icon="logout")
      span &nbsp;Logout